<?php
/**
* コンポーネントの設定に関する例外クラス
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class ComponentConfigException extends CharcoalException
{
	public function __construct( $component_name, $parameter = NULL, $message = NULL )
	{
		$msg = "[component name]$component_name";
		if ( $parameter ){
			$msg .= " [parameter]$parameter";
		}
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );
	}

}

